<PreferenceScreen xmlns:app="http://schemas.android.com/apk/res-auto">

    <PreferenceCategory app:title="@string/device_info">

        <EditTextPreference
            app:key="@string/sp_sn_raw"
            app:enabled="false"
            app:title="@string/device_hardware_sn"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_sn"
            app:enabled="false"
            app:title="@string/device_sn"
            app:useSimpleSummaryProvider="true" />
    </PreferenceCategory>

    <PreferenceCategory app:title="@string/cloud_info">

        <EditTextPreference
            app:key="@string/sp_server_domain"
            app:title="@string/cloud_domain"
            app:dialogTitle="@string/hint_cloud_info"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_server_port_base"
            app:title="@string/port_auth"
            app:dialogTitle="@string/hint_port_input"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_server_port_trx"
            app:title="@string/port_trx"
            app:dialogTitle="@string/hint_port_input"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_server_port_config"
            app:title="@string/port_config"
            app:dialogTitle="@string/hint_port_input"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_server_port_assets"
            app:title="@string/port_assets"
            app:dialogTitle="@string/hint_port_input"
            app:useSimpleSummaryProvider="true" />
    </PreferenceCategory>

    <PreferenceCategory app:title="@string/middle_info">

        <EditTextPreference
            app:key="@string/sp_middle_ip"
            app:title="@string/ip_address"
            app:dialogTitle="@string/hint_ip_input"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_middle_port"
            app:title="@string/port"
            app:dialogTitle="@string/hint_port_input"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_middle_workstation_id"
            app:title="@string/workstation_id"
            app:dialogTitle="@string/hint_port_input"
            app:useSimpleSummaryProvider="true" />
    </PreferenceCategory>

    <PreferenceCategory app:title="@string/fuel_info">

        <EditTextPreference
            app:key="@string/sp_fuel_ip"
            app:title="@string/ip_address"
            app:dialogTitle="@string/hint_ip_input"
            app:useSimpleSummaryProvider="true" />

        <EditTextPreference
            app:key="@string/sp_fuel_port"
            app:title="@string/port"
            app:dialogTitle="@string/hint_port_input"
            app:useSimpleSummaryProvider="true" />
    </PreferenceCategory>

</PreferenceScreen>